=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon\")

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()



kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)


ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml PROPERTIES INCLUDE "dbusoperators.h")

qt_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  qt_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
  )
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings pop3settings)

qt_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KF5MailCommon)

add_library(KF5::MailCommon ALIAS KF5MailCommon)

target_sources(KF5MailCommon PRIVATE
    filter/kmfilteraccountlist.cpp
    filter/kmfilterlistbox.cpp
    filter/filterselectiondialog.cpp
    filter/filterconverter/filterconverttosieve.cpp
    filter/filterconverter/filterconverttosieveresultdialog.cpp
    filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
    filter/filteractions/filteraction.cpp
    filter/filteractions/filteractionaddheader.cpp
    filter/filteractions/filteractionaddtag.cpp
    filter/filteractions/filteractionaddtoaddressbook.cpp
    filter/filteractions/filteractioncopy.cpp
    filter/filteractions/filteractiondecrypt.cpp
    filter/filteractions/filteractiondelete.cpp
    filter/filteractions/filteractiondict.cpp
    filter/filteractions/filteractionencrypt.cpp
    filter/filteractions/filteractionexec.cpp
    filter/filteractions/filteractionforward.cpp
    filter/filteractions/filteractionmove.cpp
    filter/filteractions/filteractionpipethrough.cpp
    filter/filteractions/filteractionplaysound.cpp
    filter/filteractions/filteractionredirect.cpp
    filter/filteractions/filteractionremoveheader.cpp
    filter/filteractions/filteractionreplyto.cpp
    filter/filteractions/filteractionrewriteheader.cpp
    filter/filteractions/filteractionsendfakedisposition.cpp
    filter/filteractions/filteractionsendreceipt.cpp
    filter/filteractions/filteractionsetidentity.cpp
    filter/filteractions/filteractionsetstatus.cpp
    filter/filteractions/filteractionstatus.cpp
    filter/filteractions/filteractionunsetstatus.cpp
    filter/filteractions/filteractionsettransport.cpp
    filter/filteractions/filteractionwidget.cpp
    filter/filteractions/filteractionwithaddress.cpp
    filter/filteractions/filteractionwithcommand.cpp
    filter/filteractions/filteractionwithcrypto.cpp
    filter/filteractions/filteractionwithfolder.cpp
    filter/filteractions/filteractionwithnone.cpp
    filter/filteractions/filteractionwithstring.cpp
    filter/filteractions/filteractionwithstringlist.cpp
    filter/filteractions/filteractionwithtest.cpp
    filter/filteractions/filteractionwithuoid.cpp
    filter/filteractions/filteractionwithurl.cpp
    filter/filterimporterexporter.cpp
    filter/filterimporter/filterimporterabstract.cpp
    filter/filterimporter/filterimporterevolution.cpp
    filter/filterimporter/filterimportersylpheed.cpp
    filter/filterimporter/filterimporterthunderbird.cpp
    filter/filterimporter/filterimporterprocmail.cpp
    filter/filterimporter/filterimporterbalsa.cpp
    filter/filterimporter/filterimporterclawsmail.cpp
    filter/filterimporter/filterimportergmail.cpp
    filter/filterlog.cpp
    filter/filtermanager.cpp
    filter/itemcontext.cpp
    filter/kmfilterdialog.cpp
    filter/mailfilter.cpp
    filter/filterimporterpathcache.cpp
    filter/dialog/selectthunderbirdfilterfilesdialog.cpp
    filter/dialog/selectthunderbirdfilterfileswidget.cpp
    filter/dialog/filteractionmissingfolderdialog.cpp
    filter/dialog/filteractionmissingsoundurldialog.cpp
    filter/dialog/filteractionmissingtagdialog.cpp
    filter/dialog/filteractionmissingaccountdialog.cpp
    filter/dialog/filteractionmissingtemplatedialog.cpp
    filter/dialog/filteractionmissingtransportdialog.cpp
    filter/dialog/filteractionmissingidentitydialog.cpp
    filter/invalidfilters/invalidfilterdialog.cpp
    filter/invalidfilters/invalidfilterlistview.cpp
    filter/invalidfilters/invalidfilterwidget.cpp
    filter/invalidfilters/invalidfilterinfo.cpp
    filter/invalidfilters/invalidfilterlistitemdelegate.cpp
    filter/invalidfilters/invalidfilterlistmodel.cpp
    filter/invalidfilters/invalidfilterinfowidget.cpp
    collectionpage/attributeregistrar.cpp
    collectionpage/collectiongeneralpage.cpp
    collectionpage/collectionexpirypage.cpp
    collectionpage/collectionexpirywidget.cpp
    collectionpage/attributes/expirecollectionattribute.cpp
    collectionpage/collectionexpiryjob.cpp
    collectionpage/collectiontemplateswidget.cpp
    collectionpage/collectionviewwidget.cpp
    collectionpage/collectiongeneralwidget.cpp
    folder/foldersettings.cpp
    folder/foldercollectionmonitor.cpp
    folder/folderrequester.cpp
    folder/folderselectiondialog.cpp
    folder/foldertreeview.cpp
    folder/foldertreewidget.cpp
    folder/foldertreewidgetproxymodel.cpp
    folder/entitycollectionorderproxymodel.cpp
    folder/accountconfigorderdialog.cpp
    folder/favoritecollectionorderproxymodel.cpp
    folder/hierarchicalfoldermatcher.cpp
    job/jobscheduler.cpp
    job/folderjob.cpp
    job/expirejob.cpp
    job/backupjob.cpp
    search/widgethandler/rulewidgethandlermanager.cpp
    search/searchpattern.cpp
    search/searchpatternedit.cpp
    search/widgethandler/encryptionwidgethandler.cpp
    search/widgethandler/textrulerwidgethandler.cpp
    search/widgethandler/statusrulewidgethandler.cpp
    search/widgethandler/messagerulewidgethandler.cpp
    search/widgethandler/tagrulewidgethandler.cpp
    search/widgethandler/numericrulewidgethandler.cpp
    search/widgethandler/daterulewidgethandler.cpp
    search/widgethandler/numericdoublerulewidgethandler.cpp
    search/widgethandler/headersrulerwidgethandler.cpp
    search/searchrule/searchrulenumerical.cpp
    search/searchrule/searchruledate.cpp
    search/searchrule/searchrulestring.cpp
    search/searchrule/searchrulestatus.cpp
    search/searchrule/searchruleencryption.cpp
    search/searchrule/searchrule.cpp
    snippets/snippetdialog.cpp
    snippets/snippetsmanager.cpp
    snippets/snippetsmodel.cpp
    snippets/snippetvariabledialog.cpp
    snippets/snippettreeview.cpp
    snippets/snippetwidget.cpp
    snippets/snippetattachmentwidget.cpp
    snippets/snippetselectattachmentwidget.cpp
    snippets/snippetselectattachmentdialog.cpp
    snippets/snippetcustomfileattachmentnamewidget.cpp
    snippets/snippetcustomfileattachmentnamedialog.cpp
    tag/tagwidget.cpp
    tag/tag.cpp
    tag/addtagdialog.cpp
    widgets/redirectdialog.cpp
    widgets/redirectwidget.cpp
    widgets/favoritecollectionwidget.cpp
    mdn/mdnwarningjob.h
    mdn/mdnwarningjob.cpp
    util/cryptoutils.cpp
    util/mailutil.cpp
    util/resourcereadconfigfile.cpp
    ${libmailcommon_SRCS}
    kernel/mailkernel.cpp
    job/folderjob.h
    job/expirejob.h
    job/jobscheduler.h
    job/backupjob.h
    filter/filterselectiondialog.h
    filter/kmfilteraccountlist.h
    filter/filterlog.h
    filter/dialog/filteractionmissingidentitydialog.h
    filter/dialog/filteractionmissingtemplatedialog.h
    filter/dialog/filteractionmissingaccountdialog.h
    filter/dialog/filteractionmissingtransportdialog.h
    filter/dialog/filteractionmissingfolderdialog.h
    filter/dialog/selectthunderbirdfilterfilesdialog.h
    filter/dialog/filteractionmissingsoundurldialog.h
    filter/dialog/filteractionmissingtagdialog.h
    filter/dialog/selectthunderbirdfilterfileswidget.h
    filter/invalidfilters/invalidfilterinfo.h
    filter/invalidfilters/invalidfilterlistitemdelegate.h
    filter/invalidfilters/invalidfilterlistmodel.h
    filter/invalidfilters/invalidfilterinfowidget.h
    filter/invalidfilters/invalidfilterdialog.h
    filter/invalidfilters/invalidfilterlistview.h
    filter/invalidfilters/invalidfilterwidget.h
    filter/kmfilterdialog.h
    filter/filtermanager.h
    filter/filterimporter/filterimportersylpheed.h
    filter/filterimporter/filterimportergmail.h
    filter/filterimporter/filterimporterprocmail.h
    filter/filterimporter/filterimporterabstract.h
    filter/filterimporter/filterimporterclawsmail.h
    filter/filterimporter/filterimporterthunderbird.h
    filter/filterimporter/filterimporterbalsa.h
    filter/filterimporter/filterimporterevolution.h
    filter/kmfilterlistbox.h
    filter/filterimporterpathcache.h
    filter/mailfilter.h
    filter/filteractions/filteractionexec.h
    filter/filteractions/filteractionstatus.h
    filter/filteractions/filteractionredirect.h
    filter/filteractions/filteractionwithaddress.h
    filter/filteractions/filteractionunsetstatus.h
    filter/filteractions/filteractiondict.h
    filter/filteractions/filteractionwithstring.h
    filter/filteractions/filteractionsettransport.h
    filter/filteractions/filteractionaddtag.h
    filter/filteractions/filteractionaddtoaddressbook.h
    filter/filteractions/filteractionwithcrypto.h
    filter/filteractions/filteractionreplyto.h
    filter/filteractions/filteractionwithnone.h
    filter/filteractions/filteractionwithurl.h
    filter/filteractions/filteractionpipethrough.h
    filter/filteractions/filteractiondelete.h
    filter/filteractions/filteractionwithtest.h
    filter/filteractions/filteractionwithuoid.h
    filter/filteractions/filteractionplaysound.h
    filter/filteractions/filteractionsetstatus.h
    filter/filteractions/filteractionwithstringlist.h
    filter/filteractions/filteraction.h
    filter/filteractions/filteractionsendreceipt.h
    filter/filteractions/filteractionsendfakedisposition.h
    filter/filteractions/filteractionremoveheader.h
    filter/filteractions/filteractioncopy.h
    filter/filteractions/filteractionsetidentity.h
    filter/filteractions/filteractiondecrypt.h
    filter/filteractions/filteractionencrypt.h
    filter/filteractions/filteractionmove.h
    filter/filteractions/filteractionforward.h
    filter/filteractions/filteractionwidget.h
    filter/filteractions/filteractionrewriteheader.h
    filter/filteractions/filteractionwithfolder.h
    filter/filteractions/filteractionaddheader.h
    filter/filteractions/filteractionwithcommand.h
    filter/itemcontext.h
    filter/filterimporterexporter.h
    filter/soundtestwidget.h
    filter/filterconverter/filterconverttosievepurposemenuwidget.h
    filter/filterconverter/filterconverttosieve.h
    filter/filterconverter/filterconverttosieveresultdialog.h
    search/widgethandler/textrulerwidgethandler.h
    search/widgethandler/rulewidgethandlermanager.h
    search/widgethandler/daterulewidgethandler.h
    search/widgethandler/encryptionwidgethandler.h
    search/widgethandler/numericdoublerulewidgethandler.h
    search/widgethandler/tagrulewidgethandler.h
    search/widgethandler/headersrulerwidgethandler.h
    search/widgethandler/messagerulewidgethandler.h
    search/widgethandler/statusrulewidgethandler.h
    search/widgethandler/numericrulewidgethandler.h
