=== src/search/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_search_autotest _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-search-"
        LINK_LIBRARIES Qt::Test Qt::Gui KF5::Mime KF5::AkonadiCore KF5::AkonadiMime KF5::MailCommon KF5::I18n
    )
endmacro()

add_search_autotest(searchpatterntest
    searchpatterntest.cpp
    searchpatterntest.h
)
add_search_autotest(searchruletest
    searchruletest.cpp
    searchruletest.h
)
add_search_autotest(searchrulestatustest
    searchrulestatustest.cpp
    searchrulestatustest.h
)
add_search_autotest(searchrulenumericaltest
    searchrulenumericaltest.cpp
    searchrulenumericaltest.h
    ../searchrule/searchrulenumerical.cpp
)
add_search_autotest(searchruledatetest
    searchruledatetest.cpp
    searchruledatetest.h
    ../searchrule/searchruledate.cpp
)
add_search_autotest(searchrulestringtest
    searchrulestringtest.cpp
    searchrulestringtest.h
    ../searchrule/searchrulestring.cpp
)
add_search_autotest(searchruleencryptiontest
    searchruleencryptiontest.cpp
    searchruleencryptiontest.h
    ../searchrule/searchruleencryption.cpp
)
